1 2 Previous Next 22 Replies Latest reply: Dec 11, 2012 9:59 AM by Michel Vézina
mimoser67 Level 1 Level 1 (0 points)

just upgraded my sons ipod touch 4g to iOS6 and now it cannot connect anymore to his MiniMe G4 1,42GHz on MACosX 10.5.

afaik an upgrade to a more recent version of MACosX is only available to Intel Users. A downgrade of the Ipod to iOS 5.1.1 is denied "not eligible for this build".

short of buying a new MacMini what can I do?

Best

Michael

 

Message was edited by: mimoser67


iPod touch, iOS 6
  • 1. Re: ios 6 and macosx 10.5 on a pre intel minime?
    Allan Eckert Level 8 Level 8 (41,525 points)

    You stated; "MiniMe 4G 1,42GHz on MACosX 10.5."

     

    I have never heard of such a Mac.

     

    If you have a Mac Mini G4 1,42 GHz running Mac OS X 10.5, then the only alternative is to buy a new Mac because that one is not capable oif running the software need to connect to iOS 6.

     

    Allan

  • 2. Re: ios 6 and macosx 10.5 on a pre intel minime?
    lllaass Level 10 Level 10 (142,075 points)

    He has G4 Power PC Mac. iOS 6 requires OSX 10.6.8 or later and that requires an Intel Mac.

    Syncing with iTunes on a Mac or PC requires:

    • Mac: OS X v10.6.8 or later
    • PC: Windows 7; Windows Vista; or Windows XP Home or Professional with Service Pack 3 or later
    • iTunes 10.7 or later (free download from www.itunes.com/download)
  • 3. Re: ios 6 and macosx 10.5 on a pre intel minime?
    mimoser67 Level 1 Level 1 (0 points)

    so if I get that correctly

    – a six year old G4 MacMini is no longer supported, whereas an eight year old Windows machine is,

    – there is no way to downgrade an accessory (iPod) to fit the main computer in use (MacMini G4),

    – I will have to buy a new Mac for my seven year old son, so he can use his second hand iPod,

    – …

     

     

    Maybe I will have to rethink my home computer strategy after 17 years of Mac use and Mac evangelism and replace my sons MacMini with a Windows machine, which will

    – be a lot cheaper

    – still be a lot more compatible and versatile

    – have better longtime support on the software side

    – have better longtime support for iTunes

     

    At present we have four Macs running in our household, two Airport bases and this is the first time I am really pixxed with apple as a manufacturer, because of their longtime software support. Buy a new mac because of an iOS upgrade – are they crazy??

     

    sorry

    Michael

  • 4. Re: ios 6 and macosx 10.5 on a pre intel minime?
    DigitalWx Level 1 Level 1 (0 points)

    I just updated my daughter's ipod touch 4g to ios6 also.  Now I cannot connect to itunes 10.5.2 with a MDD G4 pre-intel running 10.5.8.  Says itunes must be 10.6.8.  But, I cannot run the latest version of itunes on my pre-intel machine.  Apple dont tell me my daughter is now screwed. 

     

    How do I fix this?  I need to get back to ios5!

  • 5. Re: ios 6 and macosx 10.5 on a pre intel minime?
    Allan Eckert Level 8 Level 8 (41,525 points)

    You really should start you own thread for your problem rather then hyjacking this one.

     

    Allan

  • 6. Re: ios 6 and macosx 10.5 on a pre intel minime?
    lllaass Level 10 Level 10 (142,075 points)

    There is no new information to provide. All the relevant information is already included in this discussion. Downgrading the iOS is not supported by Apple.

     

    DigitalWx wrote:

     

    I just updated my daughter's ipod touch 4g to ios6 also.  Now I cannot connect to itunes 10.5.2 with a MDD G4 pre-intel running 10.5.8.  Says itunes must be 10.6.8.  But, I cannot run the latest version of itunes on my pre-intel machine.  Apple dont tell me my daughter is now screwed. 

     

    How do I fix this?  I need to get back to ios5!

  • 7. Re: ios 6 and macosx 10.5 on a pre intel minime?
    mimoser67 Level 1 Level 1 (0 points)

    as I found out from other threads in this forum and information gathered elsewhere downgrading iOS6 is not necessary. It is sufficient to download iTunes 10.6.3:
    http://appldnld.apple.com/iTunes10/041-6244.20120611.BbHi8/iTunes10.6.3.dmg

    This iTunes Version is compatible with MacOS 10.5.8 and G4 processors and also able to sync with iOS6 devices. As it is not the latest version AppleUpdate does not install it automatically, so you have to download manually and install it from the diskimage.

    Works and my sons iPod-MacMini combo is "saved".

     

    Michael

  • 8. Re: ios 6 and macosx 10.5 on a pre intel minime?
    DigitalWx Level 1 Level 1 (0 points)

    Thanks people.  Looks like it works.

  • 9. Re: ios 6 and macosx 10.5 on a pre intel minime?
    Michel Vézina Level 4 Level 4 (1,145 points)

    I already had itunes 10.6.3 and have OSX 10.5.8 on G5 power pc.  In any case, I reinstalled the itunes 10.6.3 from link above.... and I still get the same error! ( the backup on michel vezina's Ipod cannot be restored to this ipod becasue the software on th ipod is too old)  ***... the ipod is at ios 6.0.1!!

     

    michel

  • 10. Re: ios 6 and macosx 10.5 on a pre intel minime?
    mimoser67 Level 1 Level 1 (0 points)

    What I wanted to achieve and what worked was a clean install not a restore.

    So if there is nothing irreplaceable on the backup, try a new clean install?

    I did not yet upgrade my sons Ipod touch to 6.0.1, maybe this reopens a whole new bag of worms …

    sorry

    Michael

  • 11. Re: ios 6 and macosx 10.5 on a pre intel minime?
    lllaass Level 10 Level 10 (142,075 points)

    While you can sync to a 4G iPod with iOS 6.0.1 with a iOS 10.5.8 you you need OSX 10.6.8 or later and iTunes 10.7 or later to update or restore a 4G iPod.

  • 12. Re: ios 6 and macosx 10.5 on a pre intel minime?
    Michel Vézina Level 4 Level 4 (1,145 points)

    in my case it will not Sync at all...

     

    telling me that the ios6.0.1 on the ipod is too old... when in reality the  OSX10.5.8 is the one that is too old to sync with iso 6.0.1 ipod 4G!

  • 13. Re: ios 6 and macosx 10.5 on a pre intel minime?
    Michel Vézina Level 4 Level 4 (1,145 points)

    well, it did wor after all...  the ipod was at ios6.0...and I had not nooticed that the ipod was"slowly" downloading the iso 6.0.1 while trying to sync,, and got the error message that the ipod OS was too old: cuz it was ios 6.0! Duh!

     

    So after installing iso 6.0.1 on ipod, I synched to itunes 10.6.3 with OSX10.5.8 and my photos reappeared, and my songs as well... But I am missing all my apps which did not sync !!

  • 14. Re: ios 6 and macosx 10.5 on a pre intel minime?
    Michel Vézina Level 4 Level 4 (1,145 points)

    well, it did work after all...  the ipod was at ios6.0...and I had not nooticed that the ipod was"slowly" downloading the iso 6.0.1 while trying to sync,, and got the error message that the ipod OS was too old: cuz it was ios 6.0! Duh!

     

    So after installing iso 6.0.1 on ipod, I synched to itunes 10.6.3 with OSX10.5.8 and my photos reappeared, and my songs as well... But I am missing all my apps which did not sync !!

1 2 Previous Next